ONVIF::PTZ::Types::SupportedRules(3)

NAME
ONVIF::PTZ::Types::SupportedRules

DESCRIPTION
Perl data type class for the XML Schema defined complexType SupportedRules from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RuleContentSchemaLocation

•   RuleDescription

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::SupportedRules
   RuleContentSchemaLocation =>  $some_value, # anyURI
   RuleDescription =>  { # ONVIF::PTZ::Types::ConfigDescription
     Parameters =>  { # ONVIF::PTZ::Types::ItemListDescription
       SimpleItemDescription => ,
       ElementItemDescription => ,
       Extension =>  { # ONVIF::PTZ::Types::ItemListDescriptionExtension
       },
     },
     Messages =>  {
       ParentTopic =>  $some_value, # string
     },
     Extension =>  { # ONVIF::PTZ::Types::ConfigDescriptionExtension
     },
   },
   Extension =>  { # ONVIF::PTZ::Types::SupportedRulesExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL